/*
 * --COPYRIGHT--,BSD Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved. Redistribution and use in source and binary
 * forms, with or without modification, are permitted provided that the
 * following conditions are met: * Redistributions of source code must
 * retain the above copyright notice, this list of conditions and the
 * following disclaimer. * Redistributions in binary form must reproduce
 * the above copyright notice, this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided with
 * the distribution. * Neither the name of Texas Instruments Incorporated 
 * nor the names of its contributors may be used to endorse or promote
 * products derived from this software without specific prior written
 * permission. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE. --/COPYRIGHT--
 */
/*
 * Pragmas.c
 *
 *  Created on: Apr 14, 2015
 *      Author: a0271951
 */

#include "utility.h"


// pragma declarations to force variable to specific locations

#pragma DATA_SECTION(G_FIRMWARE_VERSION,".mysect01")
float           G_FIRMWARE_VERSION;

#pragma DATA_SECTION(G_AIFS,".mysect02")
float           G_AIFS;

#pragma DATA_SECTION(G_IRSENSE,".mysect03")
float           G_IRSENSE;

#pragma DATA_SECTION(G_AVREF,".mysect04")
float           G_AVREF;

#pragma DATA_SECTION(G_AVREF_VAL,".mysect05")
unsigned long   G_AVREF_VAL;

#pragma DATA_SECTION(G_DIRECTION,".mysect06")
gpio            G_DIRECTION;

#pragma DATA_SECTION(G_FAULT,".mysect07")
gpio            G_FAULT;

#pragma DATA_SECTION(G_Mode,".mysect08")
unsigned int    G_Mode;

#pragma DATA_SECTION(G_Normal_A,".mysect09")
unsigned int    G_Normal_A;

#pragma DATA_SECTION(G_Normal_B,".mysect10")
unsigned int    G_Normal_B;

#pragma DATA_SECTION(G_PPS_Value,".mysect11")
unsigned int    G_PPS_Value;

#pragma DATA_SECTION(G_Parallel,".mysect12")
unsigned int    G_Parallel;

#pragma DATA_SECTION(G_RUN,".mysect13")
gpio            G_RUN;

#pragma DATA_SECTION(G_Stepper,".mysect14")
unsigned int    G_Stepper;

#pragma DATA_SECTION(G_WAKE,".mysect15")
gpio            G_WAKE;

#pragma DATA_SECTION(G_PWM_AIN1,".mysect16")
unsigned int    G_PWM_AIN1;

#pragma DATA_SECTION(G_PWM_AIN2,".mysect17")
unsigned int    G_PWM_AIN2;

#pragma DATA_SECTION(G_PWM_BIN1,".mysect18")
unsigned int    G_PWM_BIN1;

#pragma DATA_SECTION(G_PWM_BIN2,".mysect19")
unsigned int    G_PWM_BIN2;

#pragma DATA_SECTION(G_BIFS,".mysect20")
float           G_BIFS;

#pragma DATA_SECTION(G_BVREF,".mysect21")
float           G_BVREF;

#pragma DATA_SECTION(G_BVREF_VAL,".mysect22")
unsigned long   G_BVREF_VAL;

#pragma DATA_SECTION(G_TORQUE,".mysect23")
unsigned int    G_TORQUE;

#pragma DATA_SECTION(G_TOFF,".mysect24")
unsigned int    G_TOFF;

#pragma DATA_SECTION(G_ADECAY,".mysect25")
unsigned int    G_ADECAY;

#pragma DATA_SECTION(G_BDECAY,".mysect26")
unsigned int    G_BDECAY;

#pragma DATA_SECTION(G_DeviceID,".mysect27")
unsigned int    G_DeviceID;

#pragma DATA_SECTION(G_RDSON,".mysect28")
unsigned int    G_RDSON;

#pragma DATA_SECTION(G_VM_Variant,".mysect29")
unsigned int    G_VM_Variant;

#pragma DATA_SECTION(G_IF_Variant,".mysect30")
unsigned int    G_IF_Variant;

#pragma DATA_SECTION(G_ACCEL_RATE,".mysect31")
unsigned int    G_ACCEL_RATE;

#pragma DATA_SECTION(G_NUM_STEPS,".mysect32")
unsigned int    G_NUM_STEPS;

#pragma DATA_SECTION(G_STARTING_SPEED,".mysect33")
unsigned int    G_STARTING_SPEED;

#pragma DATA_SECTION(G_STEPS_2_STOP,".mysect34")
unsigned int    G_STEPS_2_STOP;

#pragma DATA_SECTION(G_STEP_MODE,".mysect35")
unsigned int    G_STEP_MODE;

#pragma DATA_SECTION(G_STOPPING_SPEED,".mysect36")
unsigned int    G_STOPPING_SPEED;

#pragma DATA_SECTION(G_TARGET_SPEED,".mysect37")
unsigned int    G_TARGET_SPEED;

/*  G_TORQUE is duplicate and not used
#pragma DATA_SECTION(G_TORQUE,".mysect38")
unsigned int    G_TORQUE;
*/

#pragma DATA_SECTION(G_ENABLE,".mysect39")
gpio            G_ENABLE;

#pragma DATA_SECTION(G_ENABLE_MTR_CONTROL,".mysect40")
boolean         G_ENABLE_MTR_CONTROL;

#pragma DATA_SECTION(G_ENBL_MOVE_STEPS,".mysect41")
boolean         G_ENBL_MOVE_STEPS;

#pragma DATA_SECTION(G_ENBL_START_STOP,".mysect42")
boolean         G_ENBL_START_STOP;

#pragma DATA_SECTION(G_MANUAL_ADVANCE,".mysect43")
boolean         G_MANUAL_ADVANCE;

#pragma DATA_SECTION(G_MOTOR_CMD_ACTIVE1,".mysect44")
boolean         G_MOTOR_CMD_ACTIVE1;

#pragma DATA_SECTION(G_MOTOR_CMD_ACTIVE2,".mysect45")
boolean         G_MOTOR_CMD_ACTIVE2;

#pragma DATA_SECTION(G_ADEC,".mysect46")
gpio            G_ADEC;

#pragma DATA_SECTION(G_RUN_MOTOR,".mysect47")
boolean         G_RUN_MOTOR;


#pragma DATA_SECTION(G_MOTOR_CMD_ACTIVE3,".mysect48")
boolean         G_MOTOR_CMD_ACTIVE3;

#pragma DATA_SECTION(G_RECIPROCATION,".mysect49")
boolean         G_RECIPROCATION;

#pragma DATA_SECTION(G_ENBL_RECIPROCATION_BUTTON,".mysect50")
boolean         G_ENBL_RECIPROCATION_BUTTON;

#pragma DATA_SECTION(G_ICHOP,".mysect51")
unsigned int    G_ICHOP;

#pragma DATA_SECTION(G_IDLE,".mysect52")
unsigned int    G_IDLE;


